<?php

// 志愿者排名【省级】
require_once ("../user_include.inc");

ErrorLogger::doOutput("Compass...ajax_get_volunteer_rank2.php....Start.", 0);

//获取参数
$unionId = ParamUtil::getRequestString("unionId");
$province = ParamUtil::getRequestString("province");//省份

$result = array();

//参数检查
if(empty($unionId) || empty($province)) {
	$result["message"] = "参数错误！";
	responseNG($result);
}

//判断用户是否存在
$param = array();
$param['unionid'] = $unionId;
$param['delete_flg'] = false;
$userList = UserMst::getList($param,'id','desc', 0, 1);
if(empty($userList)) {
	$result["message"] = "用户不存在！";
	responseNG($result);
}

//查询志愿者排名
$rankList = array();
$sql = "select city, sum(ability_point) as ability_point from user_mst where delete_flg = false and province='{$province}' group by  city order by ability_point desc";
$db = &CompassDBManager::getInstance();
$tmpList = $db->executeQuery($sql);

if(!empty($tmpList)) {
	foreach($tmpList as $tmp) {
		//获取该市区下辖区县数量
		$sql = "select distinct district from user_mst where delete_flg = false and province='{$province}' and city='{$tmp["city"]}'";
		$tmpList2 = $db->executeQuery($sql);
		$tmp["district_count"] = count($tmpList2);
		$rankList[] = $tmp;
	}
}

ErrorLogger::doOutput("Compass...ajax_get_volunteer_rank2.php....End.", 0);

//返回结果
$result["rankList"] = $rankList;
responseOK($result);

function responseNG($result) {
	$result = array("status"=>"NG", "result"=>$result);
	print json_encode($result);
	exit;
}
function responseOK($result) {
	$result = array("status"=>"OK", "result"=>$result);
	print json_encode($result);
	exit;
}
?>